import { CronJob } from 'cron';
import Log from './Log.js';

export default class Job {

    static Cron = CronJob;

    static QUARTER_HOUR = '*/15 * * * *';
    static HALF_HOUR = '*/30 * * * *';
    static ONE_HOUR = '0 * * * *';
    static TWO_HOURS = '0 */2 * * *';
    static SIX_HOURS = '0 */6 * * *';
    static ONE_DAY = '0 0 * * *';

    static start(cronTime, callback, description) {
        const job = new this.Cron(cronTime, () => {
            callback();
        });
        job.start();

        if (description) {
            Log.log(`Starting '${description}' job every '${cronTime}'.`);
        }
        return job;
    }

}
